OpenCoverageCoreutils

Coreutils patch #7 - Test report of the modifications

Overview

Test Execution StatusStatistics
Passed
  0.000% (0/108)
Failed
  0.000% (0/108)
Requires Manual Checking
  0.000% (0/108)
Unknown
  0.000% (0/108)
All
  0.000% (0/108)
CategoryRemoved LinesInserted LinesTotal
Modified lines executed:
  0.000% (0/5)
  0.000% (0/15)
  0.000% (0/20)
Modified lines not executed:
  0.000% (0/5)
  0.000% (0/15)
  0.000% (0/20)
Source code lines not covered:
100.000% (5/5)
100.000% (15/15)
100.000% (20/20)

List of tests executing the changes

Execution NameState

Patch File

Showing: 

Modified File: NEWS

LineTestsDifference Output
diff --git a/NEWS b/NEWS
index e5569eb4e..351a0827b 100644
--- a/NEWS
+++ b/NEWS
@@ -21,6 +21,10 @@ GNU coreutils NEWS -*- outline -*-
21 Previously it would have set executable bits on created special files.
22 [bug introduced with coreutils-8.20]
23
24
-
+ ls no longer truncates the abbreviated month names that have a
25
-
+ display width between 6 and 12 inclusive. Previously this would have
26
-
+ output ambiguous months for Arabic or Catalan locales.
27
-
+
24 ➡ 28 ** Improvements
25 ➡ 29
26 ➡ 30 stat and tail now know about the "exfs" file system, which is a

Modified File: src/ls.c

LineTestsDifference Output
diff --git a/src/ls.c b/src/ls.c
index cd6b09c8e..c89a22f68 100644
--- a/src/ls.c
+++ b/src/ls.c
@@ -1095,8 +1095,11 @@ file_escape_init (void)
1095 variable width abbreviated months and also precomputing/caching
1096 the names was seen to increase the performance of ls significantly. */
1097
1098
-
No equivalent source code line in the reference code can be identified.
-/* max number of display cells to use */
1099
-
No equivalent source code line in the reference code can be identified.
-enum { MAX_MON_WIDTH = 5 };
1098
-
+/* max number of display cells to use.
1099
-
+ As of 2018 the abmon for Arabic has entries with width 12.
1100
-
+ It doesn't make much sense to support wider than this
1101
-
+ and locales should aim for abmon entries of width <= 5. */
1102
-
+enum { MAX_MON_WIDTH = 12 };
1100 ➡ 1103 /* abformat[RECENT][MON] is the format to use for timestamps with
1101 ➡ 1104 recentness RECENT and month MON. */
1102 ➡ 1105 enum { ABFORMAT_SIZE = 128 };

Modified File: tests/ls/abmon-align.sh

LineTestsDifference Output
diff --git a/tests/ls/abmon-align.sh b/tests/ls/abmon-align.sh
index b639ca933..d4ff70873 100755
--- a/tests/ls/abmon-align.sh
+++ b/tests/ls/abmon-align.sh
@@ -32,17 +32,20 @@ for format in "%b" "[%b" "%b]" "[%b]"; do
32 # The sed usage here is slightly different from the original,
33 # removing the \(.*\), to avoid triggering misbehavior in at least
34 # GNU sed 4.2 (possibly miscompiled) on Mac OS X (Darwin 9.8.0).
35
-
No equivalent source code line in the reference code can be identified.
- n_widths=$(
35
-
+ months="$(
36 LC_ALL=$LOC TIME_STYLE=+"$format" ls -lgG *.ts |
37
-
No equivalent source code line in the reference code can be identified.
- LC_ALL=C sed 's/.\{15\}//;s/ ..\.ts$//;s/ /./g' |
37
-
+ LC_ALL=C sed 's/.\{15\}//;s/ ..\.ts$//;s/ /./g')"
38
-
+ n_widths=$(echo "$months" |
38 ➡ 39 while read mon; do echo "$mon" | LC_ALL=$LOC wc -L; done |
39 ➡ 40 uniq | wc -l
40 ➡ 41 )
42
-
+ n_dupes=$(echo "$months" | sort | uniq -d | wc -l)
41 ➡ 43 test "$n_widths" = "1" || { fail=1; break 2; }
44
-
+ test "$n_dupes" = "0" || { fail=1; break 2; }
42 ➡ 45 done
43 ➡ 46 done
44 ➡ 47 if test "$fail" = "1"; then
45
-
No equivalent source code line in the reference code can be identified.
- echo "misalignment detected in $LOC locale:"
48
-
+ echo "misalignment or ambiguous output in $LOC locale:"
46 ➡ 49 LC_ALL=$LOC TIME_STYLE=+%b ls -lgG *.ts
47 ➡ 50 fi
48 ➡ 51

Generated by Squish Coco 4.1.2